Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.aspects.portlet
Class ConsumerCacheInterceptor.CacheEntry

    java.lang.Object
      org.jboss.portal.portlet.aspects.portlet.ConsumerCacheInterceptor.CacheEntry

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ConsumerCacheInterceptor

    public static class ConsumerCacheInterceptor.CacheEntry

extends java.lang.Object
implements java.io.Serializable

Encapsulate cache information.

See Also:
  Serialized Form

Constructor Summary
`ConsumerCacheInterceptor.CacheEntry(StateString navigationalState, WindowState windowState, Mode mode, FragmentResponse result, long expirationTimeMillis)`

Method Summary
`FragmentResponse` | `getContent()`
`long` | `getExpirationTimeMillis()`
`Mode` | `getMode()`
`StateString` | `getNavigationalState()`
`WindowState` | `getWindowState()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsumerCacheInterceptor.CacheEntry

    public ConsumerCacheInterceptor.CacheEntry(StateString navigationalState,
                                               WindowState windowState,
                                               Mode mode,
                                               FragmentResponse result,
                                               long expirationTimeMillis)

Method Detail

### getNavigationalState

    public StateString getNavigationalState()

### getWindowState

    public WindowState getWindowState()

### getMode

    public Mode getMode()

### getExpirationTimeMillis

    public long getExpirationTimeMillis()

### getContent

    public FragmentResponse getContent()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD